Branches/Sisyphus

Материал из ALT Linux Wiki

Перейти к: навигация, поиск

Нестабильный репозиторий с самым свежим программным обеспечением; вообще говоря, не бранч, а первообразная бранчей; см. тж. Sisyphus.

Содержание

[править] Репозитории

Для 32-разрядных систем x86:

rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic

Пакеты, полезные для отладки или отправки отчётов об ошибках:

rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 debuginfo

Для 64-разрядных систем x86:

rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic

Для запуска 32-разрядных приложений на 64-разрядных системах (обычно это нужно):

rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64-i586 classic

Пакеты, полезные для отладки или отправки отчётов об ошибках:

rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 debuginfo

Для ARM:

Варианты для ARM описаны в отдельных статьях: arm/armh и aarch64.

[править] Зеркала

[править] Обновление со стабильных репозиториев до Sisyphus

Внимание! Обновление из Sisyphus может сделать систему неработоспособной.

Предполагается, что обновление делается с самого нового репозитария, на текуший момент это p7. Если используются более старые репозитарии, рекомендуется последовательно обновиться до p7. Обновление непосредственно с p5, или p6 может создать лишние проблемы, хотя и может оказаться возможным.

1. Обновите из репозитория для своего дистрибутива пакеты rpm и apt (инструкция)

apt-get update
apt-get dist-upgrade

Установите утилиту apt-repo, если она ещё не установлена (в бранчах присутствует, начиная c p5/5.1):

apt-get install apt-repo

2. Подключите источники Sisyphus и выключите другие репозитории:

apt-repo rm all
apt-repo add sisyphus

3. Поставьте оттуда apt (рецепт: [1]) и обновите всю систему:

apt-get -o APT::Cache-Limit=$(( 1024 * 1024 * 1024 / 2 )) update 
apt-get install apt
apt-get dist-upgrade

[править] Ошибки обновления

В случае ошибки обновления на Sisyphus прочтите http://lists.altlinux.org/pipermail/sisyphus/2010-September/349057.html

Надо обновляться через промежуточный Сизиф. Например, для i586 по состоянию на годовалый юбилей:

rpm [alt] ftp://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2015/03/18 i586 classic
rpm [alt] ftp://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2015/03/18 noarch classic

Или x86_64:

rpm [alt] ftp://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2015/03/18 x86_64 classic
rpm [alt] ftp://ftp.altlinux.org/pub/distributions/archive/Sisyphus/2015/03/18 noarch classic
 
Личные инструменты